<?php
/**
 * phpaga
 *
 * company
 *
 * View company information
 *
 * @author Florian Lanthaler <florian@phpaga.net>
 * @version $Id: company.php 726 2006-08-05 22:34:30Z florian $
 *
 * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *    * Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *    * Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in
 *      the documentation and/or other materials provided with the
 *      distribution.
 *
 *    * Neither the name of Florian Lanthaler nor the names of his
 *      contributors may be used to endorse or promote products derived
 *      from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include_once("./config.php");

$action = ACTION_NONE;
$cpn_id = "";
$error = array();
$opcat_byproject = 0;

if (isset ($_REQUEST["id"]))
{
    $cpn_id = $_REQUEST["id"];

    if (isset($_REQUEST["action"]) && is_numeric($_REQUEST["action"]))
    {

        switch($_REQUEST["action"])
        {
        case ACTION_REMOVE:

            phpaga_companies_isowner($isowner, $cpn_id, $_SESSION["auth_user"]["pe_id"]);

            if (!$isowner && !phpaga_user_hasperm(PHPAGA_PERM_MANAGE_OTHERCOMPANIES))
            {
                phpaga_header(array("menuitem" => "core"));
                phpaga_message(_("No access"), _("You are not allowed to delete this record."));
                phpaga_footer();
                exit;
            }

            $result = phpaga_companies_delete($cpn_id);
            if ($result == PHPAGA_ERR_NONE)
                header("Location: companies.php");
            else
                $error[] = $result;
            break;

        default:
            break;
        }
    }
}

if (isset($_REQUEST["detail"]) && ($_REQUEST["detail"]) == PHPAGA_OPCGRP_PROJECT)
    $opcat_byproject = PHPAGA_OPCGRP_PROJECT;

phpaga_header(array("menuitem" => "core"));

if (count($error) > 0)
    phpaga_error($error);

$result = phpaga_companies_getInfo($cpn_id, $cpnInfo);
if ($result != PHPAGA_ERR_NONE)
{
    phpaga_error($result);
}
else
{

    $tpl = new psmarty;

    $opcatresult = phpaga_operations_getOpcatStats(array("cpn_id" => $cpn_id),
                                                   $cpnopcatStats,
                                                   $sum_duration,
                                                   $opcat_byproject);

    if ($opcatresult != PHPAGA_ERR_NONE)
    {
        $tpl->assign("opcatresult", false);
    }
    else
    {
        $tpl->assign("opcatresult", true);
        $tpl->assign("opcats", $cpnopcatStats);
        $tpl->assign("TOTAL_DURATION", $sum_duration);

        if ($opcat_byproject == PHPAGA_OPCGRP_PROJECT)
            $tpl->assign("opcatcols", count($cpnopcatStats["projects"]));

    }

    $tpl->assign("cpnInfo", $cpnInfo);
    $tpl->assign("opcat_byproject", $opcat_byproject);
    $tpl->assign("perm_companies", phpaga_user_hasperm(PHPAGA_PERM_MANAGE_OTHERCOMPANIES));

    $persons = phpaga_persons_list($rows, $count, "", $cpnInfo["cpn_id"]);

    if ($persons == PHPAGA_ERR_NONE)
        $tpl->assign("persons", $rows);
    else
        $tpl->assign("persons", "");

    $tpl->display("company.tpl.html");

}

phpaga_footer ();

?>